
/*  A Bison parser, made from ..\..\..\src\cfg.y with Bison version 1.24  */

#define YYBISON 1  /* Identify Bison output.  */

#define	_LOGFILE	258
#define	_LOGLEVEL	259
#define	_NODELIST	260
#define	_INDEXFILE	261
#define	_NODELISTPATH	262
#define	_ADDRESS	263
#define	_SYSOPNAME	264
#define	_USEOWNZONE	265
#define	_FORCEINTL	266
#define	_LOOPSTR	267
#define	_SCANDIR	268
#define	_MASK	269
#define	_SMASK	270
#define	_PMASK	271
#define	_BODYMASK	272
#define	_SBODYMASK	273
#define	_PBODYMASK	274
#define	_KLUDGEMASK	275
#define	_SKLUDGEMASK	276
#define	_PKLUDGEMASK	277
#define	_ACTION	278
#define	_MAXAGE	279
#define	_BADMESSAGES	280
#define	_NOLOGIGNORE	281
#define	_AKA	282
#define	_SKIPHIDDENFILES	283
#define	_FILEINBOUND	284
#define	_OUTBOUND	285
#define	_ADDTONULLPKT	286
#define	_TEMPMAIL	287
#define	_TRAFFICLOG	288
#define	_PASSWORD	289
#define	_UTC	290
#define	_ORIGIN	291
#define	_TEARLINE	292
#define	_INCLUDE	293
#define	_APKTDIR	294
#define	_CHECKPOINTS	295
#define	_SETVIAALWAYS	296
#define	_FRESH	297
#define	_CREATEMISSINGBASE	298
#define	_USENEWVIA	299
#define	_SCRIPTMASK	300
#define	_SSCRIPTMASK	301
#define	_PSCRIPTMASK	302
#define	_MAXATTACHSIZE	303
#define	_SEMAPHORE	304
#define	_SCRIPTFILE	305
#define	_USEASO	306
#define	_KILLROUTEDMESSAGE	307
#define	_IGNOREBSY	308
#define	_AFTERSCRIPT	309
#define	_BEFORESCRIPT	310
#define	_AGEFROMVIA	311
#define	_MAXNODELISTAGE	312
#define	_SOFTCHECKINNODELIST	313
#define	_TIMESTAMPFILE	314
#define	_TRAFFICLOGTEMPLATE	315
#define	_STRIPPATHINPKT	316
#define	_CRLF	317
#define	_SKIP	318
#define	_DELETE	319
#define	_EXIT	320
#define	_MOVE	321
#define	__EOF	322
#define	_STRING	323
#define	_BEFOREROUTE	324
#define	_AFTERROUTE	325
#define	_DIGIT_	326
#define	_RENUMBER	327
#define	_UNPACK	328
#define	_DAILY	329
#define	_WEEKLY	330
#define	_FLAG	331
#define	_NEVER	332
#define	_HARD	333
#define	_SOFT	334
#define	_ALWAYS	335
#define	_ADDNOTE	336
#define	_COPY	337
#define	_REWRITE	338
#define	_IGNORE	339
#define	_DISPLAY	340
#define	_DELFILE	341
#define	_NEWMSG	342
#define	_WRITEFILE	343
#define	_APPENDTOFILE	344
#define	_CALL	345
#define	_ROUTE	346
#define	_POLL	347
#define	_DELETEATTACH	348
#define	_CHANGEPATH	349
#define	_MOVEATTACH	350
#define	_ASCRIPT	351
#define	_COPYATTACH	352
#define	_SPLIT	353
#define	_RECODE	354
#define	_HOLD	355
#define	_CRASH	356
#define	_DIRECT	357
#define	_NORMAL	358
#define	LEXERR	359



#define YYDEBUG 0
/* #define YYERROR_VERBOSE */

#include <stdlib.h>
#ifdef __WATCOMC__
   #include <malloc.h>
#endif
#include "msg.hpp"
#include "outbound.hpp"
#include "fidoaddr.h"
#include "vars.hpp"
#include "configure.hpp"
#include "constant.hpp"
#include "log.hpp"
#include "aka.hpp"
#include "age.hpp"
#include "scandir.hpp"
#include "attach.hpp"
#include "badmsg.hpp"
#include "passwd.hpp"
#include "nodelist.hpp"
#include "script.hpp"

#undef YYSTYPE               /* Perl also use bison? damn! */

extern int DetectError;
extern int NoTokensF;

extern FA   cffa;
extern FA   cffa1;
extern FA   cffa2;

static int brf = FALSE, arf = FALSE, renumberf = FALSE, unpackf = FALSE, freshf = FALSE;
static ScanDir *wsd = NULL;
static char *FileName = NULL;
static char *ScriptBefore = NULL;
static char *ScriptAfter = NULL;
static tTimes *tt;
static IndBiList<tTimes> *_TTimes;
static MSGBASE *mbase;
static Mask *msk = NULL;
static int MaskMode;
static int rc;
static int FlagMode = 0;
static Action *act = NULL;

static void CheckETTime(void) {
time_t tmt;
   if (tt->_ETime != 0 && tt->_ETime < tt->_STime) {
      tmt = tt->_ETime;
      tt->_ETime = (23*60*60)+(59*60)+59;
      tt->_ETime += TimeOfBeginOfDay(-1);
      _TTimes->AddToEnd(tt);
      tt = new tTimes;
      tt->_STime = TimeOfBeginOfDay(-1);
      tt->_ETime = tmt;
   }
}

static int PrepareMask(Mask &m) {
ScanDir *sd;
char ErrMess[128];

   CHP = 23700;
   sd = ScanDirs.GetLast();
   if (sd == NULL) {
      strcpy(ErrMess,"'");
      strcat(ErrMess,m.MaskName());
      strcat(ErrMess,":' without 'ScanDir:'");
      yyerror(ErrMess);
      return -1;
   }
   m.sd = sd;
   return 0;
}

static void AddReadyMask(Mask &m) {
ScanDir *sd;

   switch (PrevMask) {
      case 0: // first mask.
      case 1: // after action.
         LastDo = new DoList();
         sd = ScanDirs.GetLast();
         sd->_DoLists.AddToEnd(LastDo);
         PrevMask = 2;
         break;
      case 2: // after MASK.
         break;
   }
   LastDo->AddMask(m);
}


static int CheckMaskMode(char *f) {
char Buff[128];
   if (MaskMode != 0) {
      strcpy(Buff,"You can use '");
      strcat(Buff,f);
      strcat(Buff,"' flag only in 'Mask:'.");
      yyerror(Buff);
      return -1;
   }
   return 0;
}


static int ctoi(char *s) {
   char *foo;
   int res = 0;

   res = strtoul(s, &foo, 0);
   if (*foo)	/* parse error */
      return 0;
   return res;
}




typedef union {
   int          in;
   char         *ch;
   long         ln;
   KillModeT    kmode;
   CheckPointsT pmode;
   tBadMsgMode  bmode;
   time_t       t;
   PKTMode      pktmode;
} YYSTYPE;

#ifndef YYLTYPE
typedef
  struct yyltype
	{
      int timestamp;
      int first_line;
      int first_column;
      int last_line;
      int last_column;
      char *text;
   }
  yyltype;

#define YYLTYPE yyltype
#endif

#include <stdio.h>

#ifndef __cplusplus
#ifndef __STDC__
#define const
#endif
#endif



#define	YYFINAL		459
#define	YYFLAG		-32768
#define	YYNTBASE	151

#define YYTRANSLATE(x) ((unsigned)(x) <= 359 ? yytranslate[x] : 285)

static const short yytranslate[] = {     0,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,   114,     2,   144,   111,   113,   149,     2,     2,
     2,   112,   105,     2,   106,   107,   150,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,   110,     2,     2,
     2,     2,     2,   148,   116,     2,     2,   147,   121,     2,
     2,   145,     2,     2,     2,   129,     2,     2,     2,   109,
     2,     2,   136,     2,   146,     2,     2,     2,     2,     2,
   142,     2,   143,     2,     2,     2,   115,   117,   118,   119,
   120,   122,   123,   124,   125,   126,   127,   128,   130,   131,
   132,   108,   133,   134,   135,   137,   138,   139,     2,   140,
   141,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     1,     2,     3,     4,     5,
     6,     7,     8,     9,    10,    11,    12,    13,    14,    15,
    16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
    26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
    36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
    46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
    56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
    66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
    76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
    86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
    96,    97,    98,    99,   100,   101,   102,   103,   104
};

#if YYDEBUG != 0
static const short yyprhs[] = {     0,
     0,     1,     4,     7,    10,    13,    16,    19,    22,    25,
    28,    31,    34,    37,    40,    43,    46,    49,    52,    55,
    58,    61,    64,    67,    70,    73,    76,    79,    82,    85,
    88,    91,    94,    97,   100,   103,   106,   109,   112,   115,
   118,   121,   124,   127,   130,   133,   136,   139,   142,   145,
   148,   151,   154,   157,   160,   163,   166,   169,   172,   173,
   177,   179,   182,   185,   189,   192,   193,   194,   200,   203,
   206,   207,   211,   214,   216,   218,   220,   223,   225,   227,
   229,   232,   235,   238,   241,   244,   248,   249,   251,   254,
   257,   260,   263,   266,   269,   272,   275,   278,   281,   282,
   287,   290,   292,   294,   296,   299,   302,   304,   307,   310,
   311,   315,   318,   319,   324,   326,   328,   329,   332,   334,
   337,   340,   342,   344,   346,   347,   351,   352,   356,   357,
   360,   362,   366,   370,   372,   374,   375,   380,   381,   384,
   386,   390,   391,   393,   394,   398,   399,   403,   404,   408,
   409,   410,   411,   412,   413,   414,   427,   429,   431,   433,
   435,   437,   439,   442,   444,   445,   447,   449,   450,   453,
   455,   458,   460,   461,   465,   466,   470,   472,   474,   476,
   478,   480,   482,   484,   486,   488,   490,   492,   494,   496,
   498,   500,   502,   504,   506,   508,   510,   512,   514,   516,
   518,   520,   522,   524,   526,   528,   531,   534,   537,   538,
   543,   546,   549,   552,   553,   558,   561,   564,   567,   568,
   571,   572,   573,   579,   580,   584,   586,   588,   590,   592,
   594,   596,   598,   600,   602,   604,   606,   608,   610,   612,
   614,   616,   618,   620,   622,   624,   626,   628,   631,   634,
   637,   638,   642,   645,   648,   650,   653,   656,   657,   663,
   667,   671,   676,   679,   680,   685,   687,   689,   691,   693,
   694,   699,   702,   705,   708,   711,   714,   716,   719,   721,
   723,   725,   727,   729,   731,   733,   735,   737,   739,   741,
   745,   749,   751,   753,   759,   761
};

static const short yyrhs[] = {    -1,
   151,   152,     0,   249,    62,     0,   157,    62,     0,   161,
    62,     0,   163,    62,     0,    31,    62,     0,   158,    62,
     0,   162,    62,     0,   239,    62,     0,   240,    62,     0,
   241,    62,     0,   165,    62,     0,    43,    62,     0,   184,
    62,     0,    11,    62,     0,   173,    62,     0,   177,    62,
     0,   167,    62,     0,   234,    62,     0,   235,    62,     0,
   236,    62,     0,   171,    62,     0,   172,    62,     0,   178,
    62,     0,   210,    62,     0,   212,    62,     0,   214,    62,
     0,   185,    62,     0,   179,    62,     0,   180,    62,     0,
   174,    62,     0,   176,    62,     0,    26,    62,     0,   181,
    62,     0,   186,    62,     0,   244,    62,     0,   245,    62,
     0,   246,    62,     0,    53,    62,     0,    41,    62,     0,
    28,    62,     0,    58,    62,     0,   169,    62,     0,   170,
    62,     0,    44,    62,     0,    10,    62,     0,    51,    62,
     0,    61,    62,     0,    56,    62,     0,   190,    62,     0,
   182,    62,     0,   183,    62,     0,   188,    62,     0,   192,
    62,     0,   156,    62,     0,   155,    62,     0,   154,    62,
     0,     0,     1,    62,   153,     0,    62,     0,    50,    68,
     0,    60,    68,     0,    49,    71,    68,     0,    38,    68,
     0,     0,     0,    27,   159,   279,   160,   279,     0,    59,
    68,     0,    39,    68,     0,     0,     8,   164,   279,     0,
    40,   166,     0,    77,     0,    78,     0,    79,     0,    52,
   168,     0,    80,     0,    77,     0,    76,     0,     9,    68,
     0,    37,    68,     0,     3,    68,     0,     4,    71,     0,
    36,    68,     0,     5,    68,   175,     0,     0,    71,     0,
     7,    68,     0,     6,    68,     0,    12,    68,     0,    48,
    71,     0,    57,    71,     0,    30,    68,     0,    32,    68,
     0,    33,    68,     0,    29,    68,     0,    24,    71,     0,
     0,    34,    68,   187,   279,     0,    25,   189,     0,    63,
     0,    65,     0,    64,     0,    66,    68,     0,    35,   191,
     0,    71,     0,   105,    71,     0,   106,    71,     0,     0,
    13,   193,   194,     0,   196,   209,     0,     0,    68,   195,
   197,   209,     0,    69,     0,    70,     0,     0,   197,   198,
     0,    72,     0,    55,    68,     0,    54,    68,     0,    42,
     0,    73,     0,   199,     0,     0,    74,   200,   202,     0,
     0,    75,   201,   207,     0,     0,   202,   203,     0,   205,
     0,   205,   106,   205,     0,   204,   107,   205,     0,   108,
     0,   109,     0,     0,    71,   206,   110,    71,     0,     0,
   207,   208,     0,    71,     0,    71,   106,    71,     0,     0,
   262,     0,     0,    14,   211,   216,     0,     0,    15,   213,
   216,     0,     0,    16,   215,   216,     0,     0,     0,     0,
     0,     0,     0,   217,   223,   218,   279,   219,   223,   220,
   279,   221,   224,   222,   227,     0,    68,     0,   111,     0,
   112,     0,   113,     0,    68,     0,   112,     0,   226,    71,
     0,   112,     0,     0,   114,     0,   112,     0,     0,   228,
   229,     0,   230,     0,   229,   230,     0,   233,     0,     0,
   105,   231,   233,     0,     0,   106,   232,   233,     0,   115,
     0,   116,     0,   117,     0,   118,     0,   119,     0,   120,
     0,   121,     0,   122,     0,   123,     0,   124,     0,   125,
     0,   126,     0,   127,     0,   128,     0,   129,     0,   130,
     0,   131,     0,   132,     0,   108,     0,   133,     0,   134,
     0,   135,     0,   136,     0,   137,     0,   138,     0,   139,
     0,   140,     0,   141,     0,    71,     0,    20,   237,     0,
    21,   237,     0,    22,   237,     0,     0,   238,   224,   224,
   225,     0,    17,   242,     0,    18,   242,     0,    19,   242,
     0,     0,   243,   224,   225,   225,     0,    45,   247,     0,
    46,   247,     0,    47,   247,     0,     0,   248,    68,     0,
     0,     0,    23,   250,   253,   251,   252,     0,     0,   142,
   199,   143,     0,   254,     0,    64,     0,   255,     0,   256,
     0,   257,     0,    84,     0,   259,     0,   261,     0,   263,
     0,   264,     0,   266,     0,   267,     0,   268,     0,   269,
     0,   272,     0,    93,     0,   274,     0,   275,     0,   276,
     0,   277,     0,   278,     0,   260,     0,    81,    68,     0,
    66,    68,     0,    82,    68,     0,     0,    83,   258,   216,
     0,    85,    68,     0,    96,    68,     0,   262,     0,    76,
    68,     0,    86,    68,     0,     0,    87,   265,    68,    68,
   216,     0,    88,    68,    68,     0,    89,    68,    68,     0,
    90,    68,    68,    68,     0,    90,    68,     0,     0,    91,
   271,   270,   279,     0,   100,     0,   101,     0,   102,     0,
   103,     0,     0,    92,   271,   273,   279,     0,    94,    68,
     0,    95,    68,     0,    97,    68,     0,    98,    71,     0,
    99,    68,     0,   280,     0,   114,   280,     0,   283,     0,
   281,     0,   112,     0,   144,     0,   145,     0,   146,     0,
   147,     0,   109,     0,   148,     0,   111,     0,   113,     0,
   113,   107,    71,     0,   283,   107,   282,     0,   284,     0,
   149,     0,   284,   110,   284,   150,   284,     0,    71,     0,
   112,     0
};

#endif

#if YYDEBUG != 0
static const short yyrline[] = { 0,
   171,   172,   176,   177,   182,   183,   184,   190,   191,   192,
   193,   194,   195,   196,   202,   203,   209,   210,   211,   212,
   213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
   223,   224,   225,   226,   232,   233,   234,   235,   236,   237,
   243,   249,   255,   261,   262,   263,   269,   275,   281,   287,
   293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
   304,   310,   317,   324,   332,   335,   335,   336,   345,   353,
   361,   362,   370,   373,   374,   375,   378,   381,   382,   383,
   386,   394,   402,   410,   418,   426,   434,   435,   438,   446,
   454,   462,   470,   478,   486,   494,   502,   510,   519,   528,
   536,   544,   545,   546,   547,   550,   558,   559,   560,   565,
   582,   596,   597,   614,   617,   618,   621,   622,   625,   634,
   642,   650,   659,   672,   682,   689,   695,   702,   710,   711,
   721,   725,   730,   751,   752,   755,   764,   777,   778,   786,
   795,   807,   808,   813,   813,   819,   819,   825,   825,   831,
   839,   843,   855,   859,   879,   883,   888,   889,   890,   891,
   894,   895,   898,   905,   908,   909,   912,   913,   914,   915,
   916,   919,   920,   921,   921,   922,   924,   925,   935,   936,
   937,   938,   944,   950,   951,   961,   962,   963,   964,   965,
   966,   967,   968,   969,   970,   971,   972,   973,   974,   975,
   976,   977,   978,   984,   985,  1000,  1006,  1012,  1018,  1026,
  1035,  1041,  1047,  1053,  1061,  1071,  1077,  1083,  1089,  1097,
  1108,  1121,  1125,  1127,  1128,  1131,  1132,  1133,  1134,  1135,
  1136,  1137,  1138,  1139,  1140,  1141,  1142,  1143,  1144,  1145,
  1146,  1147,  1148,  1149,  1150,  1151,  1152,  1155,  1168,  1189,
  1210,  1214,  1219,  1225,  1235,  1241,  1244,  1250,  1254,  1291,
  1305,  1319,  1332,  1338,  1338,  1356,  1357,  1358,  1359,  1362,
  1362,  1376,  1386,  1400,  1410,  1420,  1472,  1473,  1476,  1477,
  1478,  1485,  1492,  1499,  1506,  1513,  1520,  1527,  1534,  1541,
  1554,  1557,  1558,  1561,  1570,  1571
};

static const char * const yytname[] = {   "$","error","$undefined.","_LOGFILE",
"_LOGLEVEL","_NODELIST","_INDEXFILE","_NODELISTPATH","_ADDRESS","_SYSOPNAME",
"_USEOWNZONE","_FORCEINTL","_LOOPSTR","_SCANDIR","_MASK","_SMASK","_PMASK","_BODYMASK",
"_SBODYMASK","_PBODYMASK","_KLUDGEMASK","_SKLUDGEMASK","_PKLUDGEMASK","_ACTION",
"_MAXAGE","_BADMESSAGES","_NOLOGIGNORE","_AKA","_SKIPHIDDENFILES","_FILEINBOUND",
"_OUTBOUND","_ADDTONULLPKT","_TEMPMAIL","_TRAFFICLOG","_PASSWORD","_UTC","_ORIGIN",
"_TEARLINE","_INCLUDE","_APKTDIR","_CHECKPOINTS","_SETVIAALWAYS","_FRESH","_CREATEMISSINGBASE",
"_USENEWVIA","_SCRIPTMASK","_SSCRIPTMASK","_PSCRIPTMASK","_MAXATTACHSIZE","_SEMAPHORE",
"_SCRIPTFILE","_USEASO","_KILLROUTEDMESSAGE","_IGNOREBSY","_AFTERSCRIPT","_BEFORESCRIPT",
"_AGEFROMVIA","_MAXNODELISTAGE","_SOFTCHECKINNODELIST","_TIMESTAMPFILE","_TRAFFICLOGTEMPLATE",
"_STRIPPATHINPKT","_CRLF","_SKIP","_DELETE","_EXIT","_MOVE","__EOF","_STRING",
"_BEFOREROUTE","_AFTERROUTE","_DIGIT_","_RENUMBER","_UNPACK","_DAILY","_WEEKLY",
"_FLAG","_NEVER","_HARD","_SOFT","_ALWAYS","_ADDNOTE","_COPY","_REWRITE","_IGNORE",
"_DISPLAY","_DELFILE","_NEWMSG","_WRITEFILE","_APPENDTOFILE","_CALL","_ROUTE",
"_POLL","_DELETEATTACH","_CHANGEPATH","_MOVEATTACH","_ASCRIPT","_COPYATTACH",
"_SPLIT","_RECODE","_HOLD","_CRASH","_DIRECT","_NORMAL","LEXERR","'+'","'-'",
"'.'","'p'","'P'","':'","'$'","'*'","'%'","'!'","'a'","'A'","'b'","'c'","'d'",
"'e'","'E'","'f'","'g'","'h'","'i'","'j'","'k'","'l'","'L'","'m'","'n'","'o'",
"'q'","'r'","'s'","'S'","'t'","'u'","'v'","'x'","'y'","'['","']'","'#'","'H'",
"'U'","'D'","'@'","'&'","'/'","Conf","ConfLine","@1","ScriptFile","TrafficLogTemplate",
"Semaphore","IncludeF","Aka","@2","@3","TimeStampFile","APktDir","Address","@4",
"CheckPoints","ChkPntMode","KillRoutedMessage","KillRMode","SysopName","TearLine",
"LogFile","LogLevel","Origin","Nodelist","NdlZone","NodelistPath","IndexFile",
"LoopStr","MaxAttachSize","MaxNodelistAge","Outbound","TempMail","TrafficLog",
"FileInbound","MaxAge","Password","@5","BadMessages","BadMsgMode","Utc","UtcOffs",
"ScanDir","@6","SDType","@7","BeforeAfter","AddSdParam","SdParam","STime","@8",
"@9","DaySTime","DaySSTime","AnyP","Time","@10","WeekSTime","WeekSSTime","Flag",
"Mask","@11","SMask","@12","PMask","@13","MParam","@14","@15","@16","@17","@18",
"@19","SyName","MString","MDigit","MNot","MsgAttr","@20","MsgFAttr","FlagsMode",
"@21","@22","FlagsChar","KludgeMask","SKludgeMask","PKludgeMask","KMParam","@23",
"BodyMask","SBodyMask","PBodyMask","BMParam","@24","ScriptMask","SScriptMask",
"PScriptMask","SCRMParam","@25","Action","@26","@27","MayBeActTime","ActionCmd",
"AAddNote","AMove","ACopy","ARewrite","@28","ADisplay","AScript","AAFlag","AFlag",
"ADelFile","ANewMsg","@29","AWriteFile","AAppendToFile","ACall","ARoute","@30",
"RouMode","APoll","@31","AChangePath","AMoveAttach","ACopyAttach","ASplit","ARecode",
"faddress","FullFtnAddr","pointaddr","PntAddr","nodeaddr","dw",""
};
#endif

static const short yyr1[] = {     0,
   151,   151,   152,   152,   152,   152,   152,   152,   152,   152,
   152,   152,   152,   152,   152,   152,   152,   152,   152,   152,
   152,   152,   152,   152,   152,   152,   152,   152,   152,   152,
   152,   152,   152,   152,   152,   152,   152,   152,   152,   152,
   152,   152,   152,   152,   152,   152,   152,   152,   152,   152,
   152,   152,   152,   152,   152,   152,   152,   152,   153,   152,
   152,   154,   155,   156,   157,   159,   160,   158,   161,   162,
   164,   163,   165,   166,   166,   166,   167,   168,   168,   168,
   169,   170,   171,   172,   173,   174,   175,   175,   176,   177,
   178,   179,   180,   181,   182,   183,   184,   185,   187,   186,
   188,   189,   189,   189,   189,   190,   191,   191,   191,   193,
   192,   194,   195,   194,   196,   196,   197,   197,   198,   198,
   198,   198,   198,   198,   200,   199,   201,   199,   202,   202,
   203,   203,   203,   204,   204,   206,   205,   207,   207,   208,
   208,   209,   209,   211,   210,   213,   212,   215,   214,   217,
   218,   219,   220,   221,   222,   216,   223,   223,   223,   223,
   224,   224,   225,   225,   226,   226,   227,   228,   227,   229,
   229,   230,   231,   230,   232,   230,   233,   233,   233,   233,
   233,   233,   233,   233,   233,   233,   233,   233,   233,   233,
   233,   233,   233,   233,   233,   233,   233,   233,   233,   233,
   233,   233,   233,   233,   233,   234,   235,   236,   238,   237,
   239,   240,   241,   243,   242,   244,   245,   246,   248,   247,
   250,   251,   249,   252,   252,   253,   253,   253,   253,   253,
   253,   253,   253,   253,   253,   253,   253,   253,   253,   253,
   253,   253,   253,   253,   253,   253,   253,   254,   255,   256,
   258,   257,   259,   260,   261,   262,   263,   265,   264,   266,
   267,   268,   268,   270,   269,   271,   271,   271,   271,   273,
   272,   274,   275,   276,   277,   278,   279,   279,   280,   280,
   280,   280,   280,   280,   280,   280,   280,   280,   280,   280,
   281,   282,   282,   283,   284,   284
};

static const short yyr2[] = {     0,
     0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     0,     3,
     1,     2,     2,     3,     2,     0,     0,     5,     2,     2,
     0,     3,     2,     1,     1,     1,     2,     1,     1,     1,
     2,     2,     2,     2,     2,     3,     0,     1,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     0,     4,
     2,     1,     1,     1,     2,     2,     1,     2,     2,     0,
     3,     2,     0,     4,     1,     1,     0,     2,     1,     2,
     2,     1,     1,     1,     0,     3,     0,     3,     0,     2,
     1,     3,     3,     1,     1,     0,     4,     0,     2,     1,
     3,     0,     1,     0,     3,     0,     3,     0,     3,     0,
     0,     0,     0,     0,     0,    12,     1,     1,     1,     1,
     1,     1,     2,     1,     0,     1,     1,     0,     2,     1,
     2,     1,     0,     3,     0,     3,     1,     1,     1,     1,
     1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
     1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
     1,     1,     1,     1,     1,     2,     2,     2,     0,     4,
     2,     2,     2,     0,     4,     2,     2,     2,     0,     2,
     0,     0,     5,     0,     3,     1,     1,     1,     1,     1,
     1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
     1,     1,     1,     1,     1,     1,     1,     2,     2,     2,
     0,     3,     2,     2,     1,     2,     2,     0,     5,     3,
     3,     4,     2,     0,     4,     1,     1,     1,     1,     0,
     4,     2,     2,     2,     2,     2,     1,     2,     1,     1,
     1,     1,     1,     1,     1,     1,     1,     1,     1,     3,
     3,     1,     1,     5,     1,     1
};

static const short yydefact[] = {     1,
     0,     0,     0,     0,     0,     0,     0,    71,     0,     0,
     0,     0,   110,   144,   146,   148,   214,   214,   214,   209,
   209,   209,   221,     0,     0,     0,    66,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,   219,   219,   219,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,    61,     2,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,    59,    83,    84,    87,    90,    89,     0,
    81,    47,    16,    91,     0,   150,   150,   150,   211,     0,
   212,   213,   206,     0,   207,   208,     0,    98,   102,   104,
   103,     0,   101,    34,     0,    42,    97,    94,     7,    95,
    96,    99,   107,     0,     0,   106,    85,    82,    65,    70,
    74,    75,    76,    73,    41,    14,    46,   216,     0,   217,
   218,    92,     0,    62,    48,    80,    79,    78,    77,    40,
    50,    93,    43,    69,    63,    49,    58,    57,    56,     4,
     8,     5,     9,     6,    13,    19,    44,    45,    23,    24,
    17,    32,    33,    18,    25,    30,    31,    35,    52,    53,
    15,    29,    36,    54,    51,    55,    26,    27,    28,    20,
    21,    22,    10,    11,    12,    37,    38,    39,     3,    60,
    88,    86,   295,   286,   288,   281,   289,     0,   282,   283,
   284,   285,   287,    72,   277,   280,   279,     0,   113,   115,
   116,   111,   142,   145,     0,   147,   149,   161,   162,   165,
     0,   227,     0,     0,     0,     0,   251,   231,     0,     0,
   258,     0,     0,     0,     0,     0,   241,     0,     0,     0,
     0,     0,     0,   222,   226,   228,   229,   230,   232,   247,
   233,   255,   234,   235,   236,   237,   238,   239,   240,   242,
   243,   244,   245,   246,   105,    67,     0,   108,   109,   220,
    64,     0,   278,     0,     0,   117,   112,   143,   157,   158,
   159,   160,   151,   164,   166,   165,     0,   165,   249,   256,
   248,   250,   150,   253,   257,     0,     0,     0,   263,   266,
   267,   268,   269,   264,   270,   272,   273,   254,   274,   275,
   276,   224,     0,   100,   290,   296,   293,   291,   292,     0,
   142,     0,   215,   163,   210,   252,     0,   260,   261,     0,
     0,     0,     0,   223,    68,     0,   122,     0,     0,   119,
   123,   125,   127,   118,   124,   114,   152,   150,   262,   265,
   271,     0,   294,   121,   120,   129,   138,     0,   259,   225,
   126,   128,   153,   136,   134,   135,   130,     0,   131,   140,
   139,     0,     0,     0,     0,     0,   154,     0,   133,   132,
   141,     0,   137,   155,   168,   167,   156,     0,   205,   173,
   175,   195,   177,   178,   179,   180,   181,   182,   183,   184,
   185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
   196,   197,   198,   199,   200,   201,   202,   203,   204,   169,
   170,   172,     0,     0,   171,   174,   176,     0,     0
};

static const short yydefgoto[] = {     1,
    60,   220,    61,    62,    63,    64,    65,   135,   343,    66,
    67,    68,   110,    69,   154,    70,   169,    71,    72,    73,
    74,    75,    76,   222,    77,    78,    79,    80,    81,    82,
    83,    84,    85,    86,    87,   297,    88,   133,    89,   146,
    90,   115,   242,   306,   243,   351,   374,   375,   386,   387,
   391,   397,   398,   399,   403,   392,   401,   307,    91,   116,
    92,   117,    93,   118,   244,   245,   352,   388,   402,   412,
   415,   313,   250,   316,   317,   417,   418,   450,   451,   453,
   454,   452,    94,    95,    96,   123,   124,    97,    98,    99,
   119,   120,   100,   101,   102,   158,   159,   103,   127,   342,
   364,   274,   275,   276,   277,   278,   323,   279,   280,   281,
   308,   283,   284,   326,   285,   286,   287,   288,   361,   334,
   289,   362,   290,   291,   292,   293,   294,   234,   235,   236,
   348,   237,   238
};

static const short yypact[] = {-32768,
   286,    -3,    -5,    -1,     3,     4,     5,-32768,     6,    13,
    16,    11,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,     9,   -40,    19,-32768,    37,    32,    33,
    40,    35,    36,    38,   -64,    39,    41,    42,    43,   -50,
    46,    50,    51,-32768,-32768,-32768,    34,    45,    47,    52,
   -58,    55,    56,    48,    58,    60,    61,    59,-32768,-32768,
    64,    68,    69,    97,    98,   100,   102,   103,   104,   105,
   133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
   143,   144,   145,   149,   151,   153,   154,   155,   157,   158,
   159,   160,   161,   163,   164,   186,   187,   188,   189,   190,
   191,   192,   193,-32768,-32768,-32768,   185,-32768,-32768,   -61,
-32768,-32768,-32768,-32768,   -38,-32768,-32768,-32768,-32768,   -57,
-32768,-32768,-32768,   -57,-32768,-32768,   148,-32768,-32768,-32768,
-32768,   194,-32768,-32768,   -61,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,   195,   196,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,   197,-32768,
-32768,-32768,   201,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,   147,   152,   -55,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,   165,   150,-32768,-32768,
-32768,-32768,   182,-32768,   -51,-32768,-32768,-32768,-32768,   -79,
   -57,-32768,   202,   203,   205,   206,-32768,-32768,   207,   208,
-32768,   209,   210,   211,   -88,   -88,-32768,   212,   213,   214,
   215,   257,   216,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,   -61,-32768,-32768,-32768,
-32768,   269,-32768,   -67,   -63,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,   -79,   270,   -79,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,   217,   281,   282,   283,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,   119,   -61,-32768,-32768,-32768,-32768,-32768,-32768,   114,
    22,   -61,-32768,-32768,-32768,-32768,   284,-32768,-32768,   285,
   -61,   -61,   -54,-32768,-32768,   -63,-32768,   287,   288,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,    67,-32768,-32768,-32768,-32768,-32768,   -51,-32768,-32768,
   -62,   289,-32768,-32768,-32768,-32768,-32768,   247,   251,   252,
-32768,   -61,   249,   290,   290,   291,-32768,   292,-32768,-32768,
-32768,   -57,-32768,-32768,   253,-32768,-32768,    17,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,    17,
-32768,-32768,    53,    53,-32768,-32768,-32768,   364,-32768
};

static const short yypgoto[] = {-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,     7,-32768,-32768,
-32768,-32768,-32768,  -367,-32768,-32768,-32768,    15,-32768,-32768,
-32768,-32768,-32768,-32768,  -115,-32768,-32768,-32768,-32768,-32768,
-32768,   -21,  -124,  -282,-32768,-32768,-32768,-32768,   -82,-32768,
-32768,  -414,-32768,-32768,-32768,    44,-32768,-32768,-32768,-32768,
    25,-32768,-32768,-32768,-32768,    23,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
   242,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,   106,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,  -134,   146,-32768,
-32768,-32768,  -299
};


#define	YYLAST		374


static const short yytable[] = {   251,
   296,   246,   247,   223,   349,   350,   143,   223,   394,   223,
   248,   330,   331,   332,   333,   223,   309,   166,   167,   372,
   373,   168,   129,   130,   131,   132,   151,   152,   153,   239,
   240,   241,   314,   353,   315,   355,   409,   410,   456,   457,
   144,   145,   121,   122,   346,   395,   396,   224,   346,   225,
   226,   227,   228,   224,   249,   225,   226,   227,   104,   310,
   311,   312,   105,   367,   125,   126,   383,   160,   161,   106,
   107,   108,   109,   111,   112,   368,   369,   113,   114,   128,
   134,   347,   229,   230,   231,   232,   233,   419,   229,   230,
   231,   232,   233,   370,   371,   372,   373,   254,   136,   137,
   138,   139,   140,   141,   162,   142,   147,   155,   148,   149,
   150,   156,   157,   165,   164,   163,   170,   171,   172,   173,
   176,   420,   421,   419,   422,   177,   318,   174,   175,   178,
   179,   423,   424,   425,   426,   427,   428,   429,   430,   431,
   432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
   442,   443,   444,   445,   446,   447,   448,   449,   180,   181,
   422,   182,   344,   183,   184,   185,   186,   423,   424,   425,
   426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
   436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
   446,   447,   448,   449,   187,   188,   189,   190,   191,   192,
   193,   194,   195,   196,   197,   198,   199,   356,   365,   390,
   200,   252,   201,   253,   202,   203,   204,   377,   205,   206,
   207,   208,   209,   254,   210,   211,   380,   381,   255,   256,
   257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
   267,   268,   269,   270,   271,   272,   273,   212,   213,   214,
   215,   216,   217,   218,   219,   221,  -296,   254,   302,   305,
   363,   295,   389,   366,   300,   298,   299,   407,   301,   319,
   320,   304,   321,   322,   324,   325,   327,   328,   329,   336,
   337,   338,   339,   341,   357,   458,     2,   414,     3,     4,
     5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
    15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
    25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
    35,    36,    37,    38,    39,    40,    41,   340,    42,    43,
    44,    45,    46,    47,    48,    49,    50,    51,    52,   345,
   354,    53,    54,    55,    56,    57,    58,    59,   358,   359,
   360,   378,   379,   404,   384,   385,   405,   406,   408,   400,
   394,   411,   413,   459,   416,   376,   393,   455,   282,   382,
     0,   335,     0,   303
};

static const short yycheck[] = {   124,
   135,   117,   118,    71,   304,   305,    71,    71,    71,    71,
    68,   100,   101,   102,   103,    71,    68,    76,    77,    74,
    75,    80,    63,    64,    65,    66,    77,    78,    79,    68,
    69,    70,   112,   316,   114,   318,   404,   405,   453,   454,
   105,   106,    18,    19,   112,   108,   109,   109,   112,   111,
   112,   113,   114,   109,   112,   111,   112,   113,    62,   111,
   112,   113,    68,    42,    21,    22,   366,    45,    46,    71,
    68,    68,    68,    68,    62,    54,    55,    62,    68,    71,
    62,   149,   144,   145,   146,   147,   148,    71,   144,   145,
   146,   147,   148,    72,    73,    74,    75,    76,    62,    68,
    68,    62,    68,    68,    71,    68,    68,    62,    68,    68,
    68,    62,    62,    62,    68,    71,    62,    62,    71,    62,
    62,   105,   106,    71,   108,    62,   251,    68,    68,    62,
    62,   115,   116,   117,   118,   119,   120,   121,   122,   123,
   124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
   134,   135,   136,   137,   138,   139,   140,   141,    62,    62,
   108,    62,   297,    62,    62,    62,    62,   115,   116,   117,
   118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
   128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
   138,   139,   140,   141,    62,    62,    62,    62,    62,    62,
    62,    62,    62,    62,    62,    62,    62,   323,   343,   143,
    62,    64,    62,    66,    62,    62,    62,   352,    62,    62,
    62,    62,    62,    76,    62,    62,   361,   362,    81,    82,
    83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
    93,    94,    95,    96,    97,    98,    99,    62,    62,    62,
    62,    62,    62,    62,    62,    71,   110,    76,   107,   110,
   142,    68,   378,   150,    68,    71,    71,   402,    68,    68,
    68,   107,    68,    68,    68,    68,    68,    68,    68,    68,
    68,    68,    68,    68,    68,     0,     1,   412,     3,     4,
     5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
    15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
    25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
    35,    36,    37,    38,    39,    40,    41,    71,    43,    44,
    45,    46,    47,    48,    49,    50,    51,    52,    53,    71,
    71,    56,    57,    58,    59,    60,    61,    62,    68,    68,
    68,    68,    68,   107,    68,    68,   106,   106,   110,    71,
    71,    71,    71,     0,   112,   351,   388,   450,   127,   363,
    -1,   266,    -1,   228
};
/* -*-C-*-  Note some compilers choke on comments on `#line' lines.  */


/* Skeleton output parser for bison,
   Copyright (C) 1984, 1989, 1990 Free Software Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  */

/* As a special exception, when this file is copied by Bison into a
   Bison output file, you may use that output file without restriction.
   This special exception was added by the Free Software Foundation
   in version 1.24 of Bison.  */

#ifndef alloca
#ifdef __GNUC__
#define alloca __builtin_alloca
#else /* not GNU C.  */
#if (!defined (__STDC__) && defined (sparc)) || defined (__sparc__) || defined (__sparc) || defined (__sgi)
#include <alloca.h>
#else /* not sparc */
#if defined (MSDOS) && !defined (__TURBOC__)
#include <malloc.h>
#else /* not MSDOS, or __TURBOC__ */
#if defined(_AIX)
#include <malloc.h>
 #pragma alloca
#else /* not MSDOS, __TURBOC__, or _AIX */
#ifdef __hpux
#ifdef __cplusplus
extern "C" {
void *alloca (unsigned int);
};
#else /* not __cplusplus */
void *alloca ();
#endif /* not __cplusplus */
#endif /* __hpux */
#endif /* not _AIX */
#endif /* not MSDOS, or __TURBOC__ */
#endif /* not sparc.  */
#endif /* not GNU C.  */
#endif /* alloca not defined.  */

/* This is the parser code that is written into each bison parser
  when the %semantic_parser declaration is not specified in the grammar.
  It was written by Richard Stallman by simplifying the hairy parser
  used when %semantic_parser is specified.  */

/* Note: there must be only one dollar sign in this file.
   It is replaced by the list of actions, each action
   as one case of the switch.  */

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		-2
#define YYEOF		0
#define YYACCEPT	return(0)
#define YYABORT 	return(1)
#define YYERROR		goto yyerrlab1
/* Like YYERROR except do call yyerror.
   This remains here temporarily to ease the
   transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */
#define YYFAIL		goto yyerrlab
#define YYRECOVERING()  (!!yyerrstatus)
#define YYBACKUP(token, value) \
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    { yychar = (token), yylval = (value);			\
      yychar1 = YYTRANSLATE (yychar);				\
      YYPOPSTACK;						\
      goto yybackup;						\
    }								\
  else								\
    { yyerror ("syntax error: cannot back up"); YYERROR; }	\
while (0)

#define YYTERROR	1
#define YYERRCODE	256

#ifndef YYPURE
#define YYLEX		yylex()
#endif

#ifdef YYPURE
#ifdef YYLSP_NEEDED
#ifdef YYLEX_PARAM
#define YYLEX		yylex(&yylval, &yylloc, YYLEX_PARAM)
#else
#define YYLEX		yylex(&yylval, &yylloc)
#endif
#else /* not YYLSP_NEEDED */
#ifdef YYLEX_PARAM
#define YYLEX		yylex(&yylval, YYLEX_PARAM)
#else
#define YYLEX		yylex(&yylval)
#endif
#endif /* not YYLSP_NEEDED */
#endif

/* If nonreentrant, generate the variables here */

#ifndef YYPURE

int	yychar;			/*  the lookahead symbol		*/
YYSTYPE	yylval;			/*  the semantic value of the		*/
				/*  lookahead symbol			*/

#ifdef YYLSP_NEEDED
YYLTYPE yylloc;			/*  location data for the lookahead	*/
				/*  symbol				*/
#endif

int yynerrs;			/*  number of parse errors so far       */
#endif  /* not YYPURE */

#if YYDEBUG != 0
int yydebug;			/*  nonzero means print parse trace	*/
/* Since this is uninitialized, it does not stop multiple parsers
   from coexisting.  */
#endif

/*  YYINITDEPTH indicates the initial size of the parser's stacks	*/

#ifndef	YYINITDEPTH
#define YYINITDEPTH 200
#endif

/*  YYMAXDEPTH is the maximum size the stacks can grow to
    (effective only if the built-in stack extension method is used).  */

#if YYMAXDEPTH == 0
#undef YYMAXDEPTH
#endif

#ifndef YYMAXDEPTH
#define YYMAXDEPTH 10000
#endif

/* Prevent warning if -Wstrict-prototypes.  */
#ifdef __GNUC__
int yyparse (void);
#endif

#if __GNUC__ > 1		/* GNU C and GNU C++ define this.  */
#define __yy_memcpy(TO,FROM,COUNT)	__builtin_memcpy(TO,FROM,COUNT)
#else				/* not GNU C or C++ */
#ifndef __cplusplus

/* This is the most reliable way to avoid incompatibilities
   in available built-in functions on various systems.  */
static void
__yy_memcpy (to, from, count)
     char *to;
     char *from;
     int count;
{
  register char *f = from;
  register char *t = to;
  register int i = count;

  while (i-- > 0)
    *t++ = *f++;
}

#else /* __cplusplus */

/* This is the most reliable way to avoid incompatibilities
   in available built-in functions on various systems.  */
static void
__yy_memcpy (char *to, char *from, int count)
{
  register char *f = from;
  register char *t = to;
  register int i = count;

  while (i-- > 0)
    *t++ = *f++;
}

#endif
#endif



/* The user can define YYPARSE_PARAM as the name of an argument to be passed
   into yyparse.  The argument should have type void *.
   It should actually point to an object.
   Grammar actions can access the variable by casting it
   to the proper pointer type.  */

#ifdef YYPARSE_PARAM
#ifdef __cplusplus
#define YYPARSE_PARAM_ARG void *YYPARSE_PARAM
#define YYPARSE_PARAM_DECL
#else /* not __cplusplus */
#define YYPARSE_PARAM_ARG YYPARSE_PARAM
#define YYPARSE_PARAM_DECL void *YYPARSE_PARAM;
#endif /* not __cplusplus */
#else /* not YYPARSE_PARAM */
#define YYPARSE_PARAM_ARG
#define YYPARSE_PARAM_DECL
#endif /* not YYPARSE_PARAM */

int
yyparse(YYPARSE_PARAM_ARG)
     YYPARSE_PARAM_DECL
{
  register int yystate;
  register int yyn;
  register short *yyssp;
  register YYSTYPE *yyvsp;
  int yyerrstatus;	/*  number of tokens to shift before error messages enabled */
  int yychar1 = 0;		/*  lookahead token as an internal (translated) token number */

  short	yyssa[YYINITDEPTH];	/*  the state stack			*/
  YYSTYPE yyvsa[YYINITDEPTH];	/*  the semantic value stack		*/

  short *yyss = yyssa;		/*  refer to the stacks thru separate pointers */
  YYSTYPE *yyvs = yyvsa;	/*  to allow yyoverflow to reallocate them elsewhere */

#ifdef YYLSP_NEEDED
  YYLTYPE yylsa[YYINITDEPTH];	/*  the location stack			*/
  YYLTYPE *yyls = yylsa;
  YYLTYPE *yylsp;

#define YYPOPSTACK   (yyvsp--, yyssp--, yylsp--)
#else
#define YYPOPSTACK   (yyvsp--, yyssp--)
#endif

  int yystacksize = YYINITDEPTH;

#ifdef YYPURE
  int yychar;
  YYSTYPE yylval;
  int yynerrs;
#ifdef YYLSP_NEEDED
  YYLTYPE yylloc;
#endif
#endif

  YYSTYPE yyval;		/*  the variable used to return		*/
				/*  semantic values from the action	*/
				/*  routines				*/

  int yylen;

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Starting parse\n");
#endif

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY;		/* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */

  yyssp = yyss - 1;
  yyvsp = yyvs;
#ifdef YYLSP_NEEDED
  yylsp = yyls;
#endif

/* Push a new state, which is found in  yystate  .  */
/* In all cases, when you get here, the value and location stacks
   have just been pushed. so pushing a state here evens the stacks.  */
yynewstate:

  *++yyssp = yystate;

  if (yyssp >= yyss + yystacksize - 1)
    {
      /* Give user a chance to reallocate the stack */
      /* Use copies of these so that the &'s don't force the real ones into memory. */
      YYSTYPE *yyvs1 = yyvs;
      short *yyss1 = yyss;
#ifdef YYLSP_NEEDED
      YYLTYPE *yyls1 = yyls;
#endif

      /* Get the current used size of the three stacks, in elements.  */
      int size = yyssp - yyss + 1;

#ifdef yyoverflow
      /* Each stack pointer address is followed by the size of
	 the data in use in that stack, in bytes.  */
#ifdef YYLSP_NEEDED
      /* This used to be a conditional around just the two extra args,
	 but that might be undefined if yyoverflow is a macro.  */
      yyoverflow("parser stack overflow",
		 &yyss1, size * sizeof (*yyssp),
		 &yyvs1, size * sizeof (*yyvsp),
		 &yyls1, size * sizeof (*yylsp),
		 &yystacksize);
#else
      yyoverflow("parser stack overflow",
		 &yyss1, size * sizeof (*yyssp),
		 &yyvs1, size * sizeof (*yyvsp),
		 &yystacksize);
#endif

      yyss = yyss1; yyvs = yyvs1;
#ifdef YYLSP_NEEDED
      yyls = yyls1;
#endif
#else /* no yyoverflow */
      /* Extend the stack our own way.  */
      if (yystacksize >= YYMAXDEPTH)
	{
	  yyerror("parser stack overflow");
	  return 2;
	}
      yystacksize *= 2;
      if (yystacksize > YYMAXDEPTH)
	yystacksize = YYMAXDEPTH;
      yyss = (short *) alloca (yystacksize * sizeof (*yyssp));
      __yy_memcpy ((char *)yyss, (char *)yyss1, size * sizeof (*yyssp));
      yyvs = (YYSTYPE *) alloca (yystacksize * sizeof (*yyvsp));
      __yy_memcpy ((char *)yyvs, (char *)yyvs1, size * sizeof (*yyvsp));
#ifdef YYLSP_NEEDED
      yyls = (YYLTYPE *) alloca (yystacksize * sizeof (*yylsp));
      __yy_memcpy ((char *)yyls, (char *)yyls1, size * sizeof (*yylsp));
#endif
#endif /* no yyoverflow */

      yyssp = yyss + size - 1;
      yyvsp = yyvs + size - 1;
#ifdef YYLSP_NEEDED
      yylsp = yyls + size - 1;
#endif

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Stack size increased to %d\n", yystacksize);
#endif

      if (yyssp >= yyss + yystacksize - 1)
	YYABORT;
    }

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Entering state %d\n", yystate);
#endif

  goto yybackup;
 yybackup:

/* Do appropriate processing given the current state.  */
/* Read a lookahead token if we need one and don't already have one.  */
/* yyresume: */

  /* First try to decide what to do without reference to lookahead token.  */

  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* yychar is either YYEMPTY or YYEOF
     or a valid token in external form.  */

  if (yychar == YYEMPTY)
    {
#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Reading a token: ");
#endif
      yychar = YYLEX;
    }

  /* Convert token to internal form (in yychar1) for indexing tables with */

  if (yychar <= 0)		/* This means end of input. */
    {
      yychar1 = 0;
      yychar = YYEOF;		/* Don't call YYLEX any more */

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Now at end of input.\n");
#endif
    }
  else
    {
      yychar1 = YYTRANSLATE(yychar);

#if YYDEBUG != 0
      if (yydebug)
	{
	  fprintf (stderr, "Next token is %d (%s", yychar, yytname[yychar1]);
	  /* Give the individual parser a way to print the precise meaning
	     of a token, for further debugging info.  */
#ifdef YYPRINT
	  YYPRINT (stderr, yychar, yylval);
#endif
	  fprintf (stderr, ")\n");
	}
#endif
    }

  yyn += yychar1;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != yychar1)
    goto yydefault;

  yyn = yytable[yyn];

  /* yyn is what to do for this token type in this state.
     Negative => reduce, -yyn is rule number.
     Positive => shift, yyn is new state.
       New state is final state => don't bother to shift,
       just return success.
     0, or most negative number => error.  */

  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrlab;

  if (yyn == YYFINAL)
    YYACCEPT;

  /* Shift the lookahead token.  */

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Shifting token %d (%s), ", yychar, yytname[yychar1]);
#endif

  /* Discard the token being shifted unless it is eof.  */
  if (yychar != YYEOF)
    yychar = YYEMPTY;

  *++yyvsp = yylval;
#ifdef YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  /* count tokens shifted since error; after three, turn off error status.  */
  if (yyerrstatus) yyerrstatus--;

  yystate = yyn;
  goto yynewstate;

/* Do the default action for the current state.  */
yydefault:

  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;

/* Do a reduction.  yyn is the number of a rule to reduce with.  */
yyreduce:
  yylen = yyr2[yyn];
  if (yylen > 0)
    yyval = yyvsp[1-yylen]; /* implement default value of the action */

#if YYDEBUG != 0
  if (yydebug)
    {
      int i;

      fprintf (stderr, "Reducing via rule %d (line %d), ",
	       yyn, yyrline[yyn]);

      /* Print the symbols being reduced, and their result.  */
      for (i = yyprhs[yyn]; yyrhs[i] > 0; i++)
	fprintf (stderr, "%s ", yytname[yyrhs[i]]);
      fprintf (stderr, " -> %s\n", yytname[yyr1[yyn]]);
    }
#endif


  switch (yyn) {

case 4:
{
            if (SetInclude(yyvsp[-1].ch) != 0) {
               YYABORT;
            }
         ;
    break;}
case 7:
{
               if (SetAddToNullPkt() != 0) {
                  YYABORT;
               }
            ;
    break;}
case 14:
{
               if (SetCreateMissingBase() != 0) {
                  YYABORT;
               }
            ;
    break;}
case 16:
{
               if (SetForceINTL() != 0) {
                  YYABORT;
               }
            ;
    break;}
case 34:
{
               if (SetNoLogIgnore() != 0) {
                  YYABORT;
               }
            ;
    break;}
case 40:
{
               if (SetIgnoreBSY() != 0) {
                  YYABORT;
               }
            ;
    break;}
case 41:
{
               if (SetSetViaAlways() != 0) {
                  YYABORT;
               }
            ;
    break;}
case 42:
{
               if (SetSkipHiddenFiles() != 0) {
                  YYABORT;
               }
            ;
    break;}
case 43:
{
               if (SetSoftCheckInNodelists() != 0) {
                  YYABORT;
               }
            ;
    break;}
case 46:
{
               if (SetNewVia() != 0) {
                  YYABORT;
               }
            ;
    break;}
case 47:
{
               if (SetUseOwnZone() != 0) {
                  YYABORT;
               }
            ;
    break;}
case 48:
{
	            if (SetUseASO() != 0) {
                  YYABORT;
	            }
	         ;
    break;}
case 49:
{
				   if (SetStripPathInPkt() != 0) {
					   YYABORT;
               }
            ;
    break;}
case 50:
{
               if (SetAgeFromVia() != 0) {
                  YYABORT;
               }
            ;
    break;}
case 59:
{ YYABORT; ;
    break;}
case 60:
{ DetectError = TRUE;
         ;
    break;}
case 61:
{
            avail = 0;
         ;
    break;}
case 62:
{
               if (LoadScriptFile(yyvsp[0].ch) != 0) {
                  YYABORT;
               }
             ;
    break;}
case 63:
{
                      if (SetTrafficLogTemplate(yyvsp[0].ch) != 0) {
                         YYABORT;
                      }
                   ;
    break;}
case 64:
{
             if (SetSemaphoreName(yyvsp[0].ch, yyvsp[-1].ln) != 0) {
                YYABORT;
             }
          ;
    break;}
case 65:
{ yyval.ch = yyvsp[0].ch; ;
    break;}
case 66:
{ cffa.Clean(); ;
    break;}
case 67:
{ cffa1 = cffa; cffa.Clean(); ;
    break;}
case 68:
{
               if (SetAka(cffa1, cffa) != 0) {
                  YYABORT;
               }
               cffa.Clean();
               cffa1.Clean();
            ;
    break;}
case 69:
{
               if (SetTimeStampFile(yyvsp[0].ch) != 0) {
                  YYABORT;
               }
            ;
    break;}
case 70:
{
               if (SetAPktDir(yyvsp[0].ch) != 0) {
                  YYABORT;
               }
            ;
    break;}
case 71:
{ cffa.Clean(); ;
    break;}
case 72:
{
               if (SetMyAddr(cffa) != 0) {
                  YYABORT;
               }
               cffa.Clean();
            ;
    break;}
case 73:
{ SetCheckPoints(yyvsp[0].pmode); ;
    break;}
case 74:
{ yyval.pmode = CHECKPNT_NEVER; ;
    break;}
case 75:
{ yyval.pmode = CHECKPNT_HARD; ;
    break;}
case 76:
{ yyval.pmode = CHECKPNT_SOFT; ;
    break;}
case 77:
{ SetKillRoutedMessages(yyvsp[0].kmode); ;
    break;}
case 78:
{ yyval.kmode = KILL_ALWAYS; ;
    break;}
case 79:
{ yyval.kmode = KILL_NEVER; ;
    break;}
case 80:
{ yyval.kmode = KILL_FLAG; ;
    break;}
case 81:
{
               if (SetSysopName(yyvsp[0].ch) != 0) {
                  YYABORT;
               }
            ;
    break;}
case 82:
{
               if (SetTearline(yyvsp[0].ch) != 0) {
                  YYABORT;
               }
            ;
    break;}
case 83:
{
               if (SetLogFile(yyvsp[0].ch) != 0) {
                  YYABORT;
               }
            ;
    break;}
case 84:
{
               if (SetLogLevel(yyvsp[0].ln) != 0) {
                  YYABORT;
               }
            ;
    break;}
case 85:
{
               if (SetOrigin(yyvsp[0].ch) != 0) {
                  YYABORT;
               }
            ;
    break;}
case 86:
{
               if (SetNodelist(yyvsp[-1].ch,yyvsp[0].ln) != 0) {
                  YYABORT;
               }
            ;
    break;}
case 87:
{ yyval.ln = -3; ;
    break;}
case 88:
{ yyval.ln = yyvsp[0].ln; ;
    break;}
case 89:
{
               if (SetNodelistPath(yyvsp[0].ch) != 0) {
                  YYABORT;
               }
            ;
    break;}
case 90:
{
               if (SetIndexFile(yyvsp[0].ch) != 0) {
                  YYABORT;
               }
            ;
    break;}
case 91:
{
               if (SetLoopStr(yyvsp[0].ch) != 0) {
                  YYABORT;
               }
            ;
    break;}
case 92:
{
               if (SetMaxAttach(yyvsp[0].ln) != 0) {
                  YYABORT;
               }
            ;
    break;}
case 93:
{
               if (SetMaxNodelistAge(yyvsp[0].ln) != 0) {
                  YYABORT;
               }
            ;
    break;}
case 94:
{
               if (SetOutbound(yyvsp[0].ch) != 0) {
                  YYABORT;
               }
            ;
    break;}
case 95:
{
               if (SetTempMail(yyvsp[0].ch) != 0) {
                  YYABORT;
               }
            ;
    break;}
case 96:
{
               if (SetTrafficLog(yyvsp[0].ch) != 0) {
                  YYABORT;
               }
            ;
    break;}
case 97:
{
               if (SetFileInbound(yyvsp[0].ch) != 0) {
                  YYABORT;
               }
            ;
    break;}
case 98:
{
               if (SetMaxAge(yyvsp[0].ln) != 0) {
                  YYABORT;
               }
               cffa.Clean();
            ;
    break;}
case 99:
{
               if (strlen(yyvsp[0].ch) > 8){
                  yyerror("Password too long. Max password length is a 8 characters.");
                  YYABORT;
               }
               cffa.Clean();
            ;
    break;}
case 100:
{
               if (SetPasswd(cffa, yyvsp[-2].ch) != 0) {
                  YYABORT;
               }
               cffa.Clean();
            ;
    break;}
case 101:
{ 
                if (SetBadMode(yyvsp[0].bmode,FileName) != 0) {
                  YYABORT;
                }
                FileName = NULL;
              ;
    break;}
case 102:
{ yyval.bmode = SKIP; FileName = NULL;;
    break;}
case 103:
{ yyval.bmode = EXIT; FileName = NULL;;
    break;}
case 104:
{ yyval.bmode = REMOVE; FileName = NULL;;
    break;}
case 105:
{ yyval.bmode = MOVE; FileName = yyvsp[0].ch;;
    break;}
case 106:
{ 
                if (SetUTC(yyvsp[0].ln) != 0) {
                  YYABORT;
                }
              ;
    break;}
case 107:
{ yyval.ln = yyvsp[0].ln; ;
    break;}
case 108:
{ yyval.ln = yyvsp[0].ln; ;
    break;}
case 109:
{ yyval.ln = -yyvsp[0].ln; ;
    break;}
case 110:
{ 
              wsd = new ScanDir(); 
              CheckMem((char *)wsd); 
              renumberf = FALSE;
              unpackf = FALSE;
              freshf = FALSE;
              arf = FALSE;
              brf = FALSE;
              _TTimes = &wsd->_Times;
              mbase = NULL;
              PrevMask = 0;
              ScriptBefore = NULL;
              ScriptAfter = NULL;
              FileName = NULL;
           ;
    break;}
case 111:
{
              wsd->SetBase(mbase);
              wsd->_Renumber = renumberf;
              wsd->_Unpack = unpackf;
              wsd->_Fresh = freshf;
              wsd->_FlagFile = FileName;
              wsd->_ScriptBefore = ScriptBefore;
              wsd->_ScriptAfter = ScriptAfter;
              ScanDirs.AddToEnd(wsd);
              if (brf) BeforeRoute = wsd;
              if (arf) AfterRoute = wsd;
           ;
    break;}
case 113:
{
             mbase = MakeBase(yyvsp[0].ch);
             if (mbase == NULL) {
                YYABORT;
             }
             if (!mbase->Set(yyvsp[0].ch,BASE_IN)) {
                delete mbase;
                mbase = NULL;
                yyerror("Unable to open message base.");
                YYABORT;
             }
             if (!mbase->CheckIn()) {
                delete mbase;
                YYABORT;
             }
          ;
    break;}
case 115:
{ brf = TRUE; ;
    break;}
case 116:
{ arf = TRUE; ;
    break;}
case 119:
{
                  if (renumberf == TRUE) {
                     yyerror("Renumber for this base already set.");
                     YYABORT;
                  } else {
                    renumberf = TRUE;
                  }
               ;
    break;}
case 120:
{
                  if (ScriptWordExists(yyvsp[0].ch) == FALSE) {
                     yyerror("Script function not found.");
                     YYABORT;
                  } 
                  ScriptBefore = strdup(yyvsp[0].ch);
               ;
    break;}
case 121:
{
                  if (ScriptWordExists(yyvsp[0].ch) == FALSE) {
                     yyerror("Script function not found.");
                     YYABORT;
                  }
                  ScriptAfter = strdup(yyvsp[0].ch);
               ;
    break;}
case 122:
{
                  if (freshf == TRUE) {
                     yyerror("Fresh scripts for this base already set.");
                     YYABORT;
                  } else {
                     freshf = TRUE;
                  }
               ;
    break;}
case 123:
{
                  if (unpackf == TRUE) {
                     yyerror("Unpack for this base already set.");
                     YYABORT;
                  } else {
                     unpackf = TRUE;
                  }
                  if (Outbound == NULL) {
                     yyerror("Outbound directory not specified.");
                     YYABORT;
                  }
               ;
    break;}
case 124:
{
                  if (TimeStampFile == NULL) {
                     yyerror("You can't set scanning time without Timestamp File.");
                     YYABORT;
                  }

               ;
    break;}
case 125:
{
                  tt = new tTimes;
                  tt->_STime = TimeOfBeginOfDay(-1);
                  tt->_ETime = 0;
               ;
    break;}
case 126:
{
                  if (tt->_STime != 0) {
                     CheckETTime();
                     _TTimes->AddToEnd(tt);
                  }
               ;
    break;}
case 127:
{
                  tt = new tTimes;
                  tt->_STime = TimeOfBeginOfDay(0);
                  tt->_ETime = 0;
               ;
    break;}
case 128:
{
                  if (tt->_STime != 0) {
                     CheckETTime();
                     _TTimes->AddToEnd(tt);
                  }
               ;
    break;}
case 130:
{ 
                  if (tt->_STime != 0) {
                     CheckETTime();
                     _TTimes->AddToEnd(tt);
                     tt = new tTimes;
                  }
               ;
    break;}
case 131:
{ 
                  tt->_STime = yyvsp[0].t + TimeOfBeginOfDay(-1); 
               ;
    break;}
case 132:
{ 
                  tt->_STime = yyvsp[-2].t + TimeOfBeginOfDay(-1); 
                  tt->_ETime = yyvsp[0].t + TimeOfBeginOfDay(-1) + 59; 
               ;
    break;}
case 133:
{
                  time_t i_time;
                  time_t b_time;
                  if (yyvsp[0].t == (time_t) 0) {
                     yyerror("Time of pereodical event should be between 00:01 and 23:59");
                     YYABORT;
                  }
                  tt->_STime = TimeOfBeginOfDay(-1);
                  b_time = tt->_STime; 
                  do {
                     i_time = tt->_STime; 
                     CheckETTime();
                     _TTimes->AddToEnd(tt);
                     tt = new tTimes;
                     tt->_ETime = 0;
                     tt->_STime = i_time + yyvsp[0].t;
                  } while (tt->_STime < (b_time + (23*60*60)+(59*60)+60));
                  tt->_STime = 0;
            ;
    break;}
case 136:
{ 
                 if (yyvsp[0].ln < 0 || yyvsp[0].ln > 23) {
                    yyerror("Hour should be between 00 and 23");
                    YYABORT;
                 } else {
                    yyval.t = (time_t) (yyvsp[0].ln * 60);
                 }
              ;
    break;}
case 137:
{ 
                 if (yyvsp[0].ln < 0 || yyvsp[0].ln > 59 || yyvsp[-2].t == (time_t) -1) {
                    yyval.t = (time_t)-1;
                    yyerror("Minutes should be between 00 and 59");
                    YYABORT;
                 } else {
                    yyval.t = yyvsp[-2].t + (time_t) yyvsp[0].ln;
                    yyval.t *= 60;
                 }
              ;
    break;}
case 139:
{ 
                  CheckETTime();
                  _TTimes->AddToEnd(tt);
                  tt = new tTimes;
               ;
    break;}
case 140:
{ 
                 if (yyvsp[0].ln < 0 || yyvsp[0].ln > 6) {
                    yyerror("Day of week should be between 0 and 6");
                    YYABORT;
                 } else {
                    tt->_STime = TimeOfBeginOfDay(yyvsp[0].ln); 
                 }
              ;
    break;}
case 141:
{ 
                 if (yyvsp[-2].ln < 0 || yyvsp[-2].ln > 6 || yyvsp[0].ln < 0 || yyvsp[0].ln > 6) {
                    yyerror("Day of week should be between 0 and 6");
                    YYABORT;
                 } else {
                    tt->_STime = TimeOfBeginOfDay(yyvsp[-2].ln); 
                    tt->_ETime = TimeOfBeginOfDay(yyvsp[0].ln) + (23*60*60)+(59*60)+59; 
                 }
              ;
    break;}
case 142:
{ FileName = NULL; ;
    break;}
case 143:
{ FileName = strdup(yyvsp[0].ch); ;
    break;}
case 144:
{ MaskMode = 0; ;
    break;}
case 145:
{ 
               msk->_Type = MASK_NORMAL;
               AddReadyMask(*(NormalMask *)msk);
            ;
    break;}
case 146:
{ MaskMode = 0; ;
    break;}
case 147:
{ 
               msk->_Type = MASK_SKIP;
               AddReadyMask(*(NormalMask *)msk);
            ;
    break;}
case 148:
{ MaskMode = 0; ;
    break;}
case 149:
{ 
               msk->_Type = MASK_ADD;
               AddReadyMask(*(NormalMask *)msk);
            ;
    break;}
case 150:
{ 
               msk = new NormalMask();
               CheckMem((char *)msk);
               msk->_Type = MASK_NORMAL;
               if (PrepareMask(*msk) != 0) {
                  YYABORT;
               }
            ;
    break;}
case 151:
{
               ((NormalMask *)msk)->_FromName = strdup(yyvsp[0].ch);
               cffa.Clean();
            ;
    break;}
case 152:
{
               ((NormalMask *)msk)->_FromAddr = cffa;
               if (MaskMode == 0) {
                  rc = ((NormalMask *)msk)->_FromAddr.MaskValid(); 
               } else {
                  rc = ((NormalMask *)msk)->_FromAddr.ActValid(); 
               }
               if (!rc) {
                  yyerror("Invalid 'From' Address.");
                  YYABORT;
               }
            ;
    break;}
case 153:
{
               ((NormalMask *)msk)->_ToName = strdup(yyvsp[0].ch);
               cffa.Clean();
            ;
    break;}
case 154:
{
               ((NormalMask *)msk)->_ToAddr = cffa;
               if (MaskMode == 0) {
                  rc = ((NormalMask *)msk)->_ToAddr.MaskValid(); 
               } else {
                  rc = ((NormalMask *)msk)->_ToAddr.ActValid(); 
               }
               if (!rc) {
                  yyerror("Invalid 'To' Address.");
                  YYABORT;
               }
               if ((((NormalMask *)msk)->_ToAddr.Zone() & (FA_LSTMASK|FA_HOLDMASK|FA_DOWNMASK|FA_PVTMASK|FA_HUBMASK)) && (!Ndl.Enabled())) {
                  yyerror("You can't use '#','H','D','U' or 'P' mask without nodelist.");
                  YYABORT;
               }
               if ((((NormalMask *)msk)->_ToAddr.Point() & FA_SUBMASK) && (!Ndl.Enabled())) {
                  yyerror("You can't use '&' mask without nodelist.");
                  YYABORT;
               }
            ;
    break;}
case 155:
{ 
               ((NormalMask *)msk)->_Subject = strdup(yyvsp[0].ch);
               NoTokensF = TRUE; 
            ;
    break;}
case 156:
{ 
               NoTokensF = FALSE; 
            ;
    break;}
case 158:
{ yyval.ch = "$"; ;
    break;}
case 159:
{ yyval.ch = "*"; ;
    break;}
case 160:
{ yyval.ch = "%"; ;
    break;}
case 162:
{ yyval.ch = "*"; ;
    break;}
case 163:
{
               if (yyvsp[0].ln > 65535) {
                  yyerror("Parameter shoul be less that 65535");
                  YYABORT;
               }
               yyval.ln = yyvsp[-1].ln | yyvsp[0].ln;
            ;
    break;}
case 164:
{ yyval.ln = -1; ;
    break;}
case 165:
{ yyval.ln = 0; ;
    break;}
case 166:
{ yyval.ln = 0x08000000; ;
    break;}
case 168:
{ FlagMode = 1; ;
    break;}
case 173:
{ FlagMode = 1; ;
    break;}
case 175:
{ FlagMode = 2; ;
    break;}
case 177:
{ ((NormalMask *)msk)->fFileAttach = (FlagMode == 2) ? 2 : 1; ;
    break;}
case 178:
{ /* CheckMaxAttach size*/
               if (CheckMaskMode("A") != 0) {
                  YYABORT;
               }
               if (((NormalMask *)msk)->sd->_MaxAttachSize == 0 && MaxAttachSize == 0) {
                  yyerror("Not one (global or local) MaxAttachSize is not defined.");
                  YYABORT;
               }
               ((NormalMask *)msk)->fMaxAttach = (FlagMode == 2) ? 2 : 1;
            ;
    break;}
case 179:
{ ((NormalMask *)msk)->fARQ = (FlagMode == 2) ? 2 : 1; ;
    break;}
case 180:
{ ((NormalMask *)msk)->fCrash = (FlagMode == 2) ? 2 : 1; ;
    break;}
case 181:
{ ((NormalMask *)msk)->fDIR = (FlagMode == 2) ? 2 : 1; ;
    break;}
case 182:
{ /* Empty message */
               if (CheckMaskMode("e") != 0) {
                  YYABORT;
               }
               ((NormalMask *)msk)->fEmpty = (FlagMode == 2) ? 2 : 1;
            ;
    break;}
case 183:
{ /* Check echomail */
               if (CheckMaskMode("E") != 0) {
                  YYABORT;
               }
               ((NormalMask *)msk)->fEchomail = (FlagMode == 2) ? 2 : 1;
            ;
    break;}
case 184:
{ ((NormalMask *)msk)->fFileRequest = (FlagMode == 2) ? 2 : 1; ;
    break;}
case 185:
{ /* Check age */
               if (CheckMaskMode("g") != 0) {
                  YYABORT;
               }
               if (((NormalMask *)msk)->sd->_MaxAge == 0 && MaxAge == 0) {
                  yyerror("Not one (global or local) MaxAge is not defined.");
                  YYABORT;
               }
               ((NormalMask *)msk)->fMaxAge = (FlagMode == 2) ? 2 : 1;
            ;
    break;}
case 186:
{ ((NormalMask *)msk)->fHold = (FlagMode == 2) ? 2 : 1; ;
    break;}
case 187:
{ ((NormalMask *)msk)->fTransit = (FlagMode == 2) ? 2 : 1; ;
    break;}
case 188:
{ ((NormalMask *)msk)->fKFS = (FlagMode == 2) ? 2 : 1; ;
    break;}
case 189:
{ ((NormalMask *)msk)->fKillSend = (FlagMode == 2) ? 2 : 1; ;
    break;}
case 190:
{ ((NormalMask *)msk)->fLocal = (FlagMode == 2) ? 2 : 1; ;
    break;}
case 191:
{ ((NormalMask *)msk)->fLok = (FlagMode == 2) ? 2 : 1; ;
    break;}
case 192:
{ ((NormalMask *)msk)->fIMM = (FlagMode == 2) ? 2 : 1; ;
    break;}
case 193:
{ ((NormalMask *)msk)->fCFM = (FlagMode == 2) ? 2 : 1; ;
    break;}
case 194:
{ ((NormalMask *)msk)->fOrphan = (FlagMode == 2) ? 2 : 1; ;
    break;}
case 195:
{ ((NormalMask *)msk)->fPrivate = (FlagMode == 2) ? 2 : 1; ;
    break;}
case 196:
{ ((NormalMask *)msk)->fRRQ = (FlagMode == 2) ? 2 : 1; ;
    break;}
case 197:
{ ((NormalMask *)msk)->fReceived = (FlagMode == 2) ? 2 : 1; ;
    break;}
case 198:
{ ((NormalMask *)msk)->fSend = (FlagMode == 2) ? 2 : 1; ;
    break;}
case 199:
{ ((NormalMask *)msk)->fAS = (FlagMode == 2) ? 2 : 1; ;
    break;}
case 200:
{ ((NormalMask *)msk)->fTFS = (FlagMode == 2) ? 2 : 1; ;
    break;}
case 201:
{ ((NormalMask *)msk)->fFURQ = (FlagMode == 2) ? 2 : 1; ;
    break;}
case 202:
{ ((NormalMask *)msk)->fScanned = (FlagMode == 2) ? 2 : 1; ;
    break;}
case 203:
{ /* Check existing attach */
               if (CheckMaskMode("x") != 0) {
                  YYABORT;
               }
               ((NormalMask *)msk)->fAttExists = (FlagMode == 2) ? 2 : 1;
            ;
    break;}
case 204:
{ ((NormalMask *)msk)->fIRR = (FlagMode == 2) ? 2 : 1; ;
    break;}
case 205:
{
               if (CheckMaskMode("loop flag") != 0) {
                  YYABORT;
               }
               ((NormalMask *)msk)->fLoop = (FlagMode == 2) ? 2 : 1;
               if (((NormalMask *)msk)->Loops != (unsigned int)-1) {
                  yyerror("Only one loop count should be in mask.");
                  YYABORT;
               }
               ((NormalMask *)msk)->Loops = yyvsp[0].ln;
            ;
    break;}
case 206:
{ 
               msk->_Type = MASK_NORMAL;
               AddReadyMask(*(KludgeMask *)msk);
            ;
    break;}
case 207:
{ 
               msk->_Type = MASK_SKIP;
               AddReadyMask(*(KludgeMask *)msk);
            ;
    break;}
case 208:
{ 
               msk->_Type = MASK_ADD;
               AddReadyMask(*(KludgeMask *)msk);
            ;
    break;}
case 209:
{ 
               msk = new KludgeMask();
               CheckMem((char *)msk);
               msk->_Type = MASK_NORMAL;
               if (PrepareMask(*msk) != 0) {
                  YYABORT;
               }
            ;
    break;}
case 210:
{
               ((KludgeMask *)msk)-> _KludgeName = strdup(yyvsp[-2].ch);
               ((KludgeMask *)msk)-> _KludgeBody = strdup(yyvsp[-1].ch);
               ((KludgeMask *)msk)-> _Times = yyvsp[0].ln;
            ;
    break;}
case 211:
{ 
               msk->_Type = MASK_NORMAL;
               AddReadyMask(*(BodyMask *)msk);
            ;
    break;}
case 212:
{ 
               msk->_Type = MASK_SKIP;
               AddReadyMask(*(BodyMask *)msk);
            ;
    break;}
case 213:
{ 
               msk->_Type = MASK_ADD;
               AddReadyMask(*(BodyMask *)msk);
            ;
    break;}
case 214:
{ 
               msk = new BodyMask();
               CheckMem((char *)msk);
               msk->_Type = MASK_NORMAL;
               if (PrepareMask(*msk) != 0) {
                  YYABORT;
               }
            ;
    break;}
case 215:
{
               ((BodyMask *)msk)-> _Body = strdup(yyvsp[-2].ch);
               ((BodyMask *)msk)-> _Lines = yyvsp[-1].ln;
               ((BodyMask *)msk)-> _Bytes = yyvsp[0].ln;
            ;
    break;}
case 216:
{ 
               msk->_Type = MASK_NORMAL;
               AddReadyMask(*(ScriptMask *)msk);
            ;
    break;}
case 217:
{ 
               msk->_Type = MASK_SKIP;
               AddReadyMask(*(ScriptMask *)msk);
            ;
    break;}
case 218:
{ 
               msk->_Type = MASK_ADD;
               AddReadyMask(*(ScriptMask *)msk);
            ;
    break;}
case 219:
{ 
               msk = new ScriptMask();
               CheckMem((char *)msk);
               msk->_Type = MASK_NORMAL;
               if (PrepareMask(*msk) != 0) {
                  YYABORT;
               }
            ;
    break;}
case 220:
{
               ((ScriptMask *)msk)->_ScriptName = strdup(yyvsp[0].ch);
               if (ScriptWordExists(yyvsp[0].ch) != TRUE) {
                  yyerror("Subroutine not found in scripts.");
                  YYABORT;
               }
            ;
    break;}
case 221:
{
          if (PrevMask == 0) {
             yyerror("Action without Mask.");
             YYABORT;
          }
          wsd = ScanDirs.GetLast();
          PrevMask = 1;
          act = new Action();
          act->sd = wsd;
          act->Before = BeforeRoute;
          act->After = AfterRoute;
         _TTimes = &act->_Times;       
       ;
    break;}
case 222:
{
          LastDo->AddAction(*act);
       ;
    break;}
case 227:
{ act->_Act = ACT_DELETE; ;
    break;}
case 231:
{ act->_Act = ACT_IGNORE; ;
    break;}
case 241:
{ act->_Act = ACT_DELETEATTACH; ;
    break;}
case 248:
{
            act->_Act = ACT_ADDNOTE;
            act->_Tpl = new Template();
            if (!act->_Tpl->Set(yyvsp[0].ch)) {
               yyerror("Template file is not accesible.");
               delete act->_Tpl;
               act->_Tpl = NULL;
               YYABORT;
            }
            act->_Tpl->sd = ScanDirs.GetLast();
         ;
    break;}
case 249:
{
            act->_Act = ACT_MOVE;
            act->_Base = MakeBase(yyvsp[0].ch);
            if (act->_Base == NULL) {
               YYABORT;
            }
            if (!act->_Base->Set(yyvsp[0].ch,BASE_OUT)) {
               yyerror("Invalid message base name.");
               delete act->_Base;
               act->_Base = NULL;
               YYABORT;
            }
            if (!act->_Base->CheckOut()) {
               delete act->_Base;
               act->_Base = NULL;
               YYABORT;
            }
            act->_Base->Rewind();
         ;
    break;}
case 250:
{
            act->_Act = ACT_COPY;
            act->_Base = MakeBase(yyvsp[0].ch);
            if (act->_Base == NULL) {
               YYABORT;
            }
            if (!act->_Base->Set(yyvsp[0].ch,BASE_OUT)) {
               yyerror("Invalid message base name.");
               delete act->_Base;
               act->_Base = NULL;
               YYABORT;
            }
            if (!act->_Base->CheckOut()) {
               delete act->_Base;
               act->_Base = NULL;
               YYABORT;
            }
            act->_Base->Rewind();
         ;
    break;}
case 251:
{
              MaskMode = 1;
              act->_Act = ACT_REWRITE;
           ;
    break;}
case 252:
{
              act->_Mask = msk;
           ;
    break;}
case 253:
{ 
            act->_Act = ACT_DISPLAY; 
            act->_TplName = strdup(yyvsp[0].ch);
         ;
    break;}
case 254:
{
            act->_Act = ACT_SCRIPT;
            if (ScriptWordExists(yyvsp[0].ch) == FALSE) {
               yyerror("Script function not found.");
               YYABORT;
            } 
            act->_TplName = strdup(yyvsp[0].ch);
         ;
    break;}
case 255:
{
            act->_Act = ACT_FLAG; 
            act->_OutDir = strdup(yyvsp[0].ch);
         ;
    break;}
case 256:
{ yyval.ch = yyvsp[0].ch; ;
    break;}
case 257:
{
            act->_Act = ACT_DELFILE;
            act->_OutDir = strdup(yyvsp[0].ch);
         ;
    break;}
case 258:
{
            MaskMode = 1;
            act->_Act = ACT_NEWMSG;
         ;
    break;}
case 259:
{
            act->_Tpl = new Template();
            if (!act->_Tpl->Set(yyvsp[-2].ch)) {
               yyerror("Template file is not accesible.");
               delete act->_Tpl;
               act->_Tpl = NULL;
               delete msk;
               msk = NULL;
               YYABORT;
            }
            act->_Tpl->sd =  ScanDirs.GetLast();
            act->_Base = MakeBase(yyvsp[-1].ch);
            if (act->_Base == NULL || !act->_Base->Set(yyvsp[-1].ch,BASE_OUT)) {
               yyerror("Invalid message base name.");
               delete act->_Tpl;
               act->_Tpl = NULL;
               delete msk;
               msk = NULL;
               delete act->_Base;
               act->_Base = NULL;
               YYABORT;
            }
            if (!act->_Base->CheckOut()) {
               delete act->_Tpl;
               act->_Tpl = NULL;
               delete msk;
               msk = NULL;
               delete act->_Base;
               act->_Base = NULL;
               YYABORT;
            }
            act->_Base->Rewind();
            act->_Mask = msk;

         ;
    break;}
case 260:
{
              act->_Act = ACT_WRITEFILE;
              act->_Tpl = new Template();
              if (!act->_Tpl->Set(yyvsp[-1].ch)) {
                 yyerror("Template file is not accesible.");
                 delete act->_Tpl;
                 act->_Tpl = NULL;
                 YYABORT;
              }
              act->_Tpl->sd =  ScanDirs.GetLast();
              act->_OutDir = strdup(yyvsp[0].ch);
           ;
    break;}
case 261:
{
                   act->_Act = ACT_ADDFILE;
                   act->_Tpl = new Template();
                   if (!act->_Tpl->Set(yyvsp[-1].ch)) {
                      yyerror("Template file is not accesible.");
                      delete act->_Tpl;
                      act->_Tpl = NULL;
                      YYABORT;
                   }
                   act->_Tpl->sd =  ScanDirs.GetLast();
                   act->_OutDir = strdup(yyvsp[0].ch);
              ;
    break;}
case 262:
{
           act->_Act = ACT_CALL;
           act->_Tpl = new Template();
           if (!act->_Tpl->Set(yyvsp[-2].ch)) {
              yyerror("Template file is not accesible.");
              delete act->_Tpl;
              act->_Tpl = NULL;
              YYABORT;
           }
           act->_Tpl->sd =  ScanDirs.GetLast();
           act->_OutDir = strdup(yyvsp[-1].ch);
           act->_TplName = strdup(yyvsp[0].ch);
      ;
    break;}
case 263:
{
           act->_Act = ACT_CALL;
           act->_TplName = strdup(yyvsp[0].ch);
      ;
    break;}
case 264:
{ cffa.Clean(); ;
    break;}
case 265:
{
          act->_Act = ACT_ROUTE;
          if (act->sd == act->Before|| act->sd == act->After) {
             yyerror("You can not use the Action Route in 'ScanDir: @AfterRoute|@BeforeRoute'");
             YYABORT;
          }
          act->_Flav = yyvsp[-2].pktmode;
          act->_f = cffa;
          if (act->_f.Point() & FA_NOTDEF) {
             act->_f.Point(0);
          }
          if (!act->_f.RouValid()) {
             yyerror("Invalid routing address.");
             YYABORT;
          }
       ;
    break;}
case 266:
{ yyval.pktmode = F_HOLD; ;
    break;}
case 267:
{ yyval.pktmode = F_CRASH; ;
    break;}
case 268:
{ yyval.pktmode = F_DIRECT; ;
    break;}
case 269:
{ yyval.pktmode = F_NORMAL; ;
    break;}
case 270:
{ cffa.Clean(); ;
    break;}
case 271:
{
          act->_Act = ACT_POLL;
          act->_Flav = yyvsp[-2].pktmode;
          act->_f = cffa;
          if (act->_f.Point() & FA_NOTDEF) {
             act->_f.Point(0);
          }
          if (!act->_f.RouValid()) {
             yyerror("Invalid poll address.");
             YYABORT;
          }
       ;
    break;}
case 272:
{
               act->_Act = ACT_CHANGEPATH;
               if (strlen(yyvsp[0].ch) > 72) {
                  yyerror("New path too long");
                  YYABORT;
               }
               act->_OutDir = strdup(yyvsp[0].ch);
            ;
    break;}
case 273:
{
               act->_Act = ACT_MOVEATTACH;
               if (!DirExists(yyvsp[0].ch)) {
                  yyerror("Target directory not found.");
                  YYABORT;
               }
               if (strlen(yyvsp[0].ch) > 72) {
                  yyerror("New path too long");
                  YYABORT;
               }
               act->_OutDir = strdup(yyvsp[0].ch);
            ;
    break;}
case 274:
{
               act->_Act = ACT_COPYATTACH;
               if (!DirExists(yyvsp[0].ch)) {
                  yyerror("Target directory not found.");
                  YYABORT;
               }
               act->_OutDir = strdup(yyvsp[0].ch);
            ;
    break;}
case 275:
{
               act->_Act = ACT_SPLIT;
               if (yyvsp[0].ln < 1 || yyvsp[0].ln > 65535) {
                  yyerror("Parameter 'Lines' should be positive integer between 1 and 65535");
                  YYABORT;
               }
               act->_Lines = yyvsp[0].ln;
            ;
    break;}
case 276:
{
               FILE *fp = NULL;
               char buf[512],*p,*q;
               int in,on,count;
               int line = 0;

                  act->_Act = ACT_RECODE;
                  fp = fopen(yyvsp[0].ch,"r");
                  if (fp == NULL) {
                     yyerror("Unable to open file");
                     YYABORT;
                  }
                  act->_TplName = (char *)malloc(256);
                  CheckMem(act->_TplName);
                  for (count = 0; count < 256; count++) act->_TplName[count] = (char) count;
                  count = 0;	 
                  line = 0;

                  while (fgets((char*)buf,sizeof(buf),fp)) {
                     line++;
                     p = strtok((char*)buf," \t\n#");
                     q = strtok(NULL," \t\n#");
                     if (p != NULL && q != NULL) {
                        in = ctoi((char *)p);
                        if (in > 255) {
                           sprintf(buf, "%s: Error in line %d.", yyvsp[0].ch, line);
                           yyerror(buf);
                           fclose(fp);
                           free(act->_TplName);
                           YYABORT;
                        }
                        on=ctoi((char *)q);
                        if (in != 0 && on != 0) {
                           if (count++ < 256 ) {
                              act->_TplName[in]=on; 
                           } else { 
                              sprintf(buf,"Char map table \"%s\" is big",yyvsp[0].ch); 
                              yyerror(buf);
                              fclose(fp);
                              free(act->_TplName);
                              YYABORT;
                           }
                        }
                     } /* if */
                  } /* While */
                  fclose(fp);
            ;
    break;}
case 278:
{ cffa.Zone(cffa.Zone() | FA_NOTMASK); ;
    break;}
case 281:
{
                  cffa.Zone(FA_ANYMASK);
                  cffa.Net(FA_ANYMASK);
                  cffa.Node(FA_ANYMASK);
                  cffa.Point(FA_ANYMASK);
               ;
    break;}
case 282:
{
                  cffa.Zone(FA_LSTMASK);
                  cffa.Net(FA_LSTMASK);
                  cffa.Node(FA_LSTMASK);
                  cffa.Point(FA_LSTMASK);
               ;
    break;}
case 283:
{
                  cffa.Zone(FA_HOLDMASK);
                  cffa.Net(FA_HOLDMASK);
                  cffa.Node(FA_HOLDMASK);
                  cffa.Point(FA_HOLDMASK);
               ;
    break;}
case 284:
{
                  cffa.Zone(FA_HUBMASK);
                  cffa.Net(FA_HUBMASK);
                  cffa.Node(FA_HUBMASK);
                  cffa.Point(FA_HUBMASK);
               ;
    break;}
case 285:
{
                  cffa.Zone(FA_DOWNMASK);
                  cffa.Net(FA_DOWNMASK);
                  cffa.Node(FA_DOWNMASK);
                  cffa.Point(FA_DOWNMASK);
               ;
    break;}
case 286:
{
                  cffa.Zone(FA_PVTMASK);
                  cffa.Net(FA_PVTMASK);
                  cffa.Node(FA_PVTMASK);
                  cffa.Point(FA_PVTMASK);
               ;
    break;}
case 287:
{
                  cffa.Zone(FA_OURMASK);
                  cffa.Net(FA_OURMASK);
                  cffa.Node(FA_OURMASK);
                  cffa.Point(FA_OURMASK);
               ;
    break;}
case 288:
{
                  cffa.Zone(FA_FROMMASK);
                  cffa.Net(FA_FROMMASK);
                  cffa.Node(FA_FROMMASK);
                  cffa.Point(FA_FROMMASK);
               ;
    break;}
case 289:
{
                  cffa.Zone(FA_TOMASK);
                  cffa.Net(FA_TOMASK);
                  cffa.Node(FA_TOMASK);
                  cffa.Point(FA_TOMASK);
               ;
    break;}
case 290:
{
                  if (yyvsp[0].ln != 0) {
                     yyerror("parse error");
                     YYABORT;
                  }
                  cffa.Zone(FA_TOMASK);
                  cffa.Net(FA_TOMASK);
                  cffa.Node(FA_TOMASK);
                  cffa.Point(0);
               ;
    break;}
case 292:
{ cffa.Point(yyvsp[0].ln); ;
    break;}
case 293:
{ cffa.Point(FA_SUBMASK); ;
    break;}
case 294:
{ 
               cffa.Zone(yyvsp[-4].ln); 
               cffa.Net(yyvsp[-2].ln); 
               cffa.Node(yyvsp[0].ln); 
               cffa.Point(0); 
            ;
    break;}
case 295:
{ yyval.ln = yyvsp[0].ln; ;
    break;}
case 296:
{ yyval.ln = FA_ANYMASK; ;
    break;}
}
   /* the action file gets copied in in place of this dollarsign */


  yyvsp -= yylen;
  yyssp -= yylen;
#ifdef YYLSP_NEEDED
  yylsp -= yylen;
#endif

#if YYDEBUG != 0
  if (yydebug)
    {
      short *ssp1 = yyss - 1;
      fprintf (stderr, "state stack now");
      while (ssp1 != yyssp)
	fprintf (stderr, " %d", *++ssp1);
      fprintf (stderr, "\n");
    }
#endif

  *++yyvsp = yyval;

#ifdef YYLSP_NEEDED
  yylsp++;
  if (yylen == 0)
    {
      yylsp->first_line = yylloc.first_line;
      yylsp->first_column = yylloc.first_column;
      yylsp->last_line = (yylsp-1)->last_line;
      yylsp->last_column = (yylsp-1)->last_column;
      yylsp->text = 0;
    }
  else
    {
      yylsp->last_line = (yylsp+yylen-1)->last_line;
      yylsp->last_column = (yylsp+yylen-1)->last_column;
    }
#endif

  /* Now "shift" the result of the reduction.
     Determine what state that goes to,
     based on the state we popped back to
     and the rule number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTBASE] + *yyssp;
  if (yystate >= 0 && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTBASE];

  goto yynewstate;

yyerrlab:   /* here on detecting error */

  if (! yyerrstatus)
    /* If not already recovering from an error, report this error.  */
    {
      ++yynerrs;

#ifdef YYERROR_VERBOSE
      yyn = yypact[yystate];

      if (yyn > YYFLAG && yyn < YYLAST)
	{
	  int size = 0;
	  char *msg;
	  int x, count;

	  count = 0;
	  /* Start X at -yyn if nec to avoid negative indexes in yycheck.  */
	  for (x = (yyn < 0 ? -yyn : 0);
	       x < (sizeof(yytname) / sizeof(char *)); x++)
	    if (yycheck[x + yyn] == x)
	      size += strlen(yytname[x]) + 15, count++;
	  msg = (char *) malloc(size + 15);
	  if (msg != 0)
	    {
	      strcpy(msg, "parse error");

	      if (count < 5)
		{
		  count = 0;
		  for (x = (yyn < 0 ? -yyn : 0);
		       x < (sizeof(yytname) / sizeof(char *)); x++)
		    if (yycheck[x + yyn] == x)
		      {
			strcat(msg, count == 0 ? ", expecting `" : " or `");
			strcat(msg, yytname[x]);
			strcat(msg, "'");
			count++;
		      }
		}
	      yyerror(msg);
	      free(msg);
	    }
	  else
	    yyerror ("parse error; also virtual memory exceeded");
	}
      else
#endif /* YYERROR_VERBOSE */
	yyerror("parse error");
    }

  goto yyerrlab1;
yyerrlab1:   /* here on error raised explicitly by an action */

  if (yyerrstatus == 3)
    {
      /* if just tried and failed to reuse lookahead token after an error, discard it.  */

      /* return failure if at end of input */
      if (yychar == YYEOF)
	YYABORT;

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Discarding token %d (%s).\n", yychar, yytname[yychar1]);
#endif

      yychar = YYEMPTY;
    }

  /* Else will try to reuse lookahead token
     after shifting the error token.  */

  yyerrstatus = 3;		/* Each real token shifted decrements this */

  goto yyerrhandle;

yyerrdefault:  /* current state does not do anything special for the error token. */

#if 0
  /* This is wrong; only states that explicitly want error tokens
     should shift them.  */
  yyn = yydefact[yystate];  /* If its default is to accept any token, ok.  Otherwise pop it.*/
  if (yyn) goto yydefault;
#endif

yyerrpop:   /* pop the current state because it cannot handle the error token */

  if (yyssp == yyss) YYABORT;
  yyvsp--;
  yystate = *--yyssp;
#ifdef YYLSP_NEEDED
  yylsp--;
#endif

#if YYDEBUG != 0
  if (yydebug)
    {
      short *ssp1 = yyss - 1;
      fprintf (stderr, "Error: state stack now");
      while (ssp1 != yyssp)
	fprintf (stderr, " %d", *++ssp1);
      fprintf (stderr, "\n");
    }
#endif

yyerrhandle:

  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yyerrdefault;

  yyn += YYTERROR;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != YYTERROR)
    goto yyerrdefault;

  yyn = yytable[yyn];
  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrpop;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrpop;

  if (yyn == YYFINAL)
    YYACCEPT;

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Shifting error token, ");
#endif

  *++yyvsp = yylval;
#ifdef YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  yystate = yyn;
  goto yynewstate;
}



